ctype_alpha
ctype_digit
Ctype Functions
PHP Manual

# ctype_cntrl

(PHP 4 >= 4.0.4, PHP 5, PHP 7)

ctype_cntrl — Check for control character(s)

### Description

bool ctype_cntrl ( string `$text` )

Checks if all of the characters in the provided string, `text`, are control characters. Control characters are e.g. line feed, tab, escape.

### Parameters

`text`

  The tested string.

### Return Values

Returns `TRUE` if every character in `text` is a control character from the current locale, `FALSE` otherwise.

### Examples

Example #1 A ctype_cntrl() example

`<?php
$strings = array('string1' => "\n\r\t", 'string2' => 'arf12');
foreach ($strings as $name => $testcase) {
if (ctype_cntrl($testcase)) {
echo "The string '$name' consists of all control characters.\n";
} else {
echo "The string '$name' does not consist of all control characters.\n";
}
}
?>`

The above example will output:

    The string 'string1' consists of all control characters.
    The string 'string2' does not consist of all control characters.

### Notes

> Note:

> If an integer between -128 and 255 inclusive is provided, it is interpreted as the ASCII value of a single character (negative values have 256 added in order to allow characters in the Extended ASCII range). Any other integer is interpreted as a string containing the decimal digits of the integer.

### See Also

- ctype_print() - Check for printable character(s)

ctype_alpha
ctype_digit
Ctype Functions
PHP Manual